Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create customer attachment

POST/workspaces/{organizationId}/customers/{id}/attachments
Path parameters
organizationIdstringrequired
idstringrequired
Request body
application/json
fileNamestringrequired
min length 1
contentTypestring
contentBase64stringrequired
min length 1
Responses
201

Attachment uploaded

idstringrequired
organizationIdstringrequired
customerIdstringrequired
fileNamestringrequired
contentTypestringrequired
sizeintegerrequired
r2Keystringrequired
urlstringrequired
bookingUrlstring | null
notesstring | null
createdByIdstring | nullrequired
createdAtstringrequired
404

Customer not found

503

File storage not configured

Try it
Server
Parameters
Bodyapplication/json
Request
curl -X POST '/workspaces/string/customers/string/attachments' \
  -H 'Content-Type: application/json' \
  -d '{
  "fileName": "string",
  "contentType": "string",
  "contentBase64": "string"
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "customerId": "string",
  "fileName": "string",
  "contentType": "string",
  "size": 0,
  "r2Key": "string",
  "url": "string",
  "bookingUrl": "string",
  "notes": "string",
  "createdById": "string",
  "createdAt": "string"
}